Dev Team Releases Redsn0w 0.9.11b1; Now Allows You to Downgrade Your iPhone 4S, iPad 2, New iPad

As expected, iPhone Dev team have just released a new version of Redsn0w, which allows users who may have accidentally upgraded to iOS 5.1, to downgrade to iOS 5.0.1.

Until now it was possible to downgrade only iPhone 3GS, iPhone 4, iPad 1, iPod touch 4G and iPod touch 3G from iOS 5.1 to iOS 5.0.1 using the SHSH blobs saved using TinyUmbrella.

But with Redsn0w 0.9.11b1, iPhone 4S, iPad 2 and iPad 3 users will be able to downgrade their iOS device if they’ve saved their SHSH blobs. This has been possible due to a hack that allows A5 downgrades without a bootrom-level exploit.

Downgrading to iOS 5.0.1 will allow users to perform the untethered jailbreak using Absinthe jailbreak. Unfortunately, users who have recently purchased their iOS device that come pre-installed with iOS 5.1 won’t be able to downgrade as personalized SHSH blobs is required for the downgrade process.

We’re not sure if you can downgrade from iOS 5.1.1, but since Dev team has mentioned it supports iPad 3 as well, which came pre-installed with iOS 5.1, we’re assuming it does work. We’ll update the post as soon as we get a confirmation.

Dev team has provided the following information on their blog:

  • The new feature is at Extras->Even More->Restore
  • You cannot downgrade without the personalized SHSH blobs for your device at that lower firmware.  You need to have fetched those blobs while the signing window was open, using either Cydia’s built-in TSS@Home feature, or with TinyUmbrella.  The new Restore screen of redsn0w lets you choose either the remote blobs or local ones (for the earlier firmware).  If you don’t know where TinyUmbrella put your blobs, TinyUmbrella has a button that will show you (copy them out of that folder and feed them to redsn0w).
  • The A5 downgrade method actually updates to the latest firmware before downgrading to the earlier one. This process updates your baseband to whatever is newest.  DO NOT USE THIS METHOD IF YOU RELY ON UNOFFICIAL UNLOCKS of your iPhone4S.  Those who used the temporary SAM technique to unlock their iPhones to specific SIMs shouldn’t be affected by this baseband update.
  • This method can be fixed by Apple with a firmware update.  It’s a (pleasant) mystery why they haven’t fixed it yet, because reverse-engineering of the restore ramdisk indicates they do know about it.  It’s possibly too niche to bother to fix right now.
  • The least-tested devices with this method are the iPad2,3 and iPad3,2 (because we don’t have those models).  If you do and you feel like experimenting, please let us know how it turns out in the comment section below!
  • This update involves a bunch of new redsn0w code.  We recommend sticking to the previous version 0.9.10b8b unless you’re specifically using this new feature, until all the bugs are worked out!  (Note: If redsn0w gets stuck at the “Waiting for device” stage for more than 30 seconds, you’ve hit a pesky GUI bug…that will be fixed in an upcoming version!)

We’ll soon post a step-by-step guide on how to downgrade to iOS 5.0.1, but if you want to give it a shot, you can download Redsn0w 0.9.11b1 for Mac using this link and Redsn0w 0.9.11b1 for Windows using this link (be sure to run in Administrator mode).

Update:

If you need help with the downgrade process then check our step-by-step guide to downgrade from iOS 5.1 or iOS 5.1.1 to iOS 5.0.1 for iPhone 4S (this link) and iPad 2 (this link) users. We’ll publish the guide for iPad 2 shortly.

As always, let us know how it goes.

[via Dev team’s blog]

Like this post? Share it!

  • BjS

    does this mean I can upgrade my iphone 4 on 4.3.5 to 5.0.1? I have blobs and rely on jailbreak and Ultrasn0w to unlock?

    • http://www.iphonehacks.com/ iPhoneHacks

      No, as Dev team has mentioned, you should avoid using the downgrade process if you rely on Ultrasn0w as it updates the baseband.

    • http://www.extreme-chat.co.uk Ko0bf4c3

      Get snowbreeze and then preserve your baseband from 4.3.5 and then cook a custom 5.0.1 and you shouldn’t lose your unlock. :)

  • lordkramuk

    How will this work with Ipad 3 anyway? I thought all Ipad 3’s on shipment came with 5.1 anyway so its kinda impossible?

    • Unlimited circle

      Unfortunately, I only can just say … Yes it’s impossible

    • Paul

      This is for future downgrades on the New ipads. Like from 5.0.1 back to 5.1 or from 6.0 back to 5.0.1. You get the picture?

      • Paul

        I mean from 5.1.1 back to 5.1

  • Apple Big Money

    Its not going to do ipad new 3 any good

  • danial

    hi there. currently my ipad 2 is running on IOS 5.1..If i use this method..will i need to unlock it since my ipad 2 is using the simcard..will it affect the GSM connection

    • Paul

      All ipads except the ones sold is Japan are factory unlocked. You can’t lock it.

  • ginsu

    just carious can we downgrade using someone shsh blobs into new ipad?

    • Sweeeeet

      Nope, SHSH’s are unique to the device they came from, if we could we would all be jailbroken on 5.0.1 by now.. sorry dude

      • ginsu

        hahaha…thanks for clarification dude….

  • Kristin

    Thank you for releasing this redsnow for downgrade, i just tried it and it works, i had iphone 4s oon 5.1, now its 5.0.1. Thank you soo much.

    • danial

      when u downgraded it, do you need to unlock it?

      • Kristin

        Yes, I think you do, but I’m not sure, cause when I was setting up my iPhone after restore it just activated to the sim card I had in my iPhone already.

    • cody g

      when i try to do it, says sorry that isnt supported on the iphone 4s yet. any help?

  • Jemma

    Thank You! I just downgraded my iPhone 4S from 5.1 to 5.0.1.

    • Ali

      That’s really good news but have you tried to restore the backup from itunes? I mean, contacts, photos, etc..

    • Joe

      How sens my a www. ….. Tnks. Voor replaye

  • danial

    anyone has tried to downgrade ipad 2 3g 5.1 to 5.01? Does it work?

    • Pujaari

      Worked perfectly on my ipad 2 3g. I had jail broken it earlier (when on 5.01) with absinthe but had to restore it to 5.1 since apple stopped signing 5.01.i had my blobs saved with tiny umbrella. Used the following two ipsw files iPad2,2_5.0.1_9A405_Restore & iPad2,2_5.1.1_9B206_Restore with Redsn0w 0.9.11b1 and then used absinthe-win-0.4 to jailbreak it. So glad to be back to good old days…had to really wait for this.Thank you so much the DEV team. Hope this is helpful for any fellow ipad2 3g user.

  • Rjrowland24

    CamNt wait till I get home on Sunday to d/g my iPad 2

  • Michael

    If you jailbroke your 4S and then upgraded to 5.1, where are the Cydia saved blobs?

    • Kristin

      You download Tinyubrella and run save shsh files to your computer

      • Michael

        Is this possible after I accidentally upgraded to iOS 5.1? The last post said if it was previously jailbroken, that it would be possible.

  • elim

    Charming fellas !!

  • Josh

    I have a iphone 4s that I purchased with IOS 5.0.1 and then upgraded to 5.1 before i knew about saving shsh blobs… Is it too late to retrieve and save the 5.0.1 blobs?

    • Robbie

      Great point, the samething happened to me except I never intended to upgrade to 5.1, when I failed to turn the auto upgrade off and was upgraded I never had time to think about blobs or how to save blobs, I suppose if you don’t have blobs you’ve got a blooper!

    • Paul

      Won’t work without blobs. Its to late to save blobs for any firmware that Apple no longer signs eg 5.0.1

  • Joe

    This worked great.. 1 issue I am having is the icloud restore.. It does not seem to want to do a restore from icloud. Is it because its an older OS now and the one I did the backup on was from newer version?
    thanks

  • John blob

    So can I actually restore to stock firmware

  • Nokto

    Great, in Jan 2012 a cydia app caused my phone to go into a loop, this was before the volume up safe mode was made. Forcing me to upgrade to 5.1.
    Very Happy today.
    Down graded in 15, Restored from Jan 2012 iTunes Backup (local) in 5 minutes
    Sweet.
    Thank you very much.

  • http://filedocks.com/ Tahir

    Latest RedSn0w 0.9.11b1 for iPhone 4S download

  • JOHN

    I KEEP GETTING A RESTORE ERROR ON MY IPAD 2 RUNNING 5.1

  • Thein Zaw

    Work on iPad 2 5.1?
    I’ll try it! but I needed IPSW 5.1.1. Showing this message:

    “To restore to firmware 5.0.1 on the iPad 2, the IPSW for firmware 5.1.1 is also required. Please click OK and then locafe that additional IPSW.”

    • dabloc

      Question, I am trying to restore to 5.0.1 from 5.1. I went to extras, Restore, and there is an option to swlect IPSW to BE restored. Should I select a 5.1 IPSW even though I am trying to downgrade?

  • Tom wilkinson

    I tried saving my blobs with this, but it said the iPhone 4s wasn’t supported.

  • ios6

    I don’t know why iphonehacks keep repeating the same wrong info about the NEW iPAD. New iPad was release with 5.1 pre-installed so why it is being added to the list as if some of them came with 5.0.1. There was no way to get the 5.0.1 blobs from iPad because it was released with 5.1. The post needs to be edited to make note that the downgrade does not include the New iPad since they were released with 5.1 pre-installed. We don’t want people thinking it possible only to end up having to upgrade to 5.1.1 after a screw up.

    Thank you.

  • uipt

    Sprint said they unlocked my 4s (I’m deployed). told me to restore with newest and it should be unlocked.
    Tried it, didn’t get the unlock message….
    4S at 5.1.1 so tried this new thing and got it downgraded to 5.01 A05 version.
    Worked fine.
    Jailbrake with absinthe-win-0.4 worked fine as well.
    Too bad can’t upgrade to 5.01 A06.
    Bad part is I am now at baseband 2.0.12 instead of my old 2.0.10…..

    • Paulg

      Uipt- thank u for ur service.

      That said, ur sprint iPhone 4s should be unlocked for non USA sim cards regardless of baseband. Plus the fact that u didn’t get the congrats ur iPhone is now unlocked message doesn’t mean ur phone is still locked. I have a factory unlocked 4s and I never saw that message when I activated it. My wife has the same phone and never saw thr message either when I activated her phone.

  • Cubano

    it does work I just downgraded from 5.1.1 to 5.0.1

  • Justin

    Ok, I really need help. I’m new to jailbreaking, and I’ve been waiting forever for the iPhone 4s 5.1 jailbreak.. I’ve never jailbroke my phone, so I don’t have the shsh blob to downgrade.. Is there anyway I can download this shsh blob from somewhere?? Or do I have to wait a couple weeks for the 5.1 untethered to be released?

  • Umar Riyadh

    I upgraded to 5.1 but did not save any shsh blobs. I have not jailbreak. Can I downgrade to 5.0.1 in anyway?

  • Greg

    Working perfect!!!!!. Thank’s

  • s0ulo

    I have an iPad 2 wifi only fw 4.3.5. What jailbreak tool can I use? Or is it still possible for me to restore with fw 5.0.1?
    Any help would be appreciated.